org.eclipse.ecf.remoteservice.rest.client

## Class AbstractRestClientContainer.RestRemoteServiceClientRegistration

- java.lang.Object
- - org.eclipse.ecf.remoteservice.client.RemoteServiceClientRegistration
  - - org.eclipse.ecf.remoteservice.rest.client.AbstractRestClientContainer.RestRemoteServiceClientRegistration

All Implemented Interfaces:
  IRemoteServiceRegistration

Enclosing class:
  AbstractRestClientContainer

    protected class AbstractRestClientContainer.RestRemoteServiceClientRegistration
    extends RemoteServiceClientRegistration

### Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.client.RemoteServiceClientRegistration

`callables, CLASS_METHOD_SEPARATOR, clazzes, containerId, properties, reference, registry, serviceID`

### Constructor Summary

Constructors
Constructor and Description
`RestRemoteServiceClientRegistration(Namespace namespace, IRemoteCallable[] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`
`RestRemoteServiceClientRegistration(Namespace namespace, String[] classNames, IRemoteCallable[][] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`

### Method Summary

### Methods inherited from class org.eclipse.ecf.remoteservice.client.RemoteServiceClientRegistration

`findDefaultRemoteCallable, findRemoteCallable, getClazzes, getContainerID, getFQMethod, getID, getProperty, getPropertyKeys, getReference, lookupCallable, setProperties, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestRemoteServiceClientRegistration

    public RestRemoteServiceClientRegistration(Namespace namespace,
                                               IRemoteCallable[] restCalls,
                                               Dictionary properties,
                                               RemoteServiceClientRegistry registry)

#### RestRemoteServiceClientRegistration

    public RestRemoteServiceClientRegistration(Namespace namespace,
                                               String[] classNames,
                                               IRemoteCallable[][] restCalls,
                                               Dictionary properties,
                                               RemoteServiceClientRegistry registry)